%define anolis_release 1

Name:           gflags
Version:        2.2.2
Release:       	%{anolis_release}%{?dist}
Summary:        Library for commandline flag processing

License:        BSD
URL:            https://gflags.github.io/gflags/
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         gflags-fix_pkgconfig.patch
BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
The gflags package contains a library that implements commandline
flags processing. As such it's a replacement for getopt(). It has
increased flexibility, including built-in support for C++ types like
string, and the ability to define flags in the source file in which
they're used.

%package devel
Summary:        Development files for %{name}

Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTING:BOOL=ON \
       -DINSTALL_HEADERS:BOOL=ON \
       -DREGISTER_BUILD_DIR:BOOL=OFF \
       -DREGISTER_INSTALL_PREFIX:BOOL=OFF
%cmake_build

%install
%cmake_install

%generate_compatibility_deps

%check
%ctest

%files
%license COPYING.txt
%{_bindir}/gflags_completions.sh
%{_libdir}/libgflags.so.*
%{_libdir}/libgflags_nothreads.so.*
%dir %{abidir}
%{abidir}/gflags_completions.sh-option.list
%{abidir}/libgflags.dump
%{abidir}/libgflags_nothreads.dump

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libgflags.so
%{_libdir}/pkgconfig/gflags.pc
%{_libdir}/libgflags_nothreads.so
%{_libdir}/cmake/%{name}

%files doc
%doc AUTHORS.txt ChangeLog.txt README.md

%changelog
* Wed Feb 22 2023 happy_orange <songnannan@linux.alibaba.com> - 2.2.2-1
- init package to anolis23
